2024-06-17 22:29 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002319Hostages_OperationJupiter[All Projects] Generalpublic2020-04-27 23:44
ReporterXavier Bodenand 
Assigned ToCFOUProject InfoHostages / Operation Jupiter (Infogrames)
http://www.whdload.de/games/Hostages_OperationJupiter.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002319: Hi, I replayed this great game and I had two different errors, the first one at
DescriptionGameVersion: english,pal,1 disks
SlaveVersion: 1.1

Hi, I replayed this great game and I had two different errors, the first one at the end of the shooting phase (probably having killed all the ennemies throught the windows); the second one at the end of the first phase, having placed all 3 characters. Can you have a look at these problems? Thanks.
************************* 11-fév-79  23:46:11 ************************16.9.4672***
Slave='Hostages.Slave' (1620 bytes)
ShadowMem 64C69DE0 - 64CE9DE0 ( 524288) AbsolutMem    80000 -    80000 (      0)
Resload   6BECB000 - 6BED3CFC (  36092) at 6BECB000  GL=$6BED5000
Slave     6BEDE000 - 6BEDE630 (   1584) at 6BEDE000  BaseMemSize=$80000
ExpMem    6BE33000 - 6BE73000 ( 262144) at 6BE33000
attn=FF(60,82) fc=-1 kn=10422 cs=92B9 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS)
Exception "Access Fault" ($4008) PC = $2758C (Task 'Background CLI') Word Read from $FFFEEFF6
$00027580 move.w       (8,a5),d3                      ;$00018620
$00027584 ext.l        d3
$00027586 asl.l        #3,d3
$00027588 lea          (-$7e58,a4),a6                 ;$0002bfa6
$0002758c tst.w        (0,a6,d3.l)                    ;$fffeeff6
$00027590 beq.b        $2759a
$00027592 move.w       (8,a5),d0                      ;$00018620
$00027596 unlk         a5
$00027598 rts
exception stackframe:
$0007FFF0 00190002 758C4008 FFFEEFF6 01410800
regular stack:
$00018618 0001863C 0001E380 860A0101 0001CB84 0000BF02 00000084 00033DFE 00000006
$00018638 00020C8A 6BE67134 0001D5BC 6BE6792E 000007D0 0001D554 00000000 0000A948
$00018658 0000000F 014000C8 00000000 005F0000 00000000 00000A01 02040402 04040200
$00018678 00004CE0 00000000 0000B970 00018880 00000000 00000000 00000000 014000C8
$00018698 0000000F 40002400 0000BE88 00000000 00018708 00000000 00000000 00000000
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx    3860A        24         0  FFFC3050         8        2B        3B     1C89C
Ax    5F072     416D6      E390     14178     33DFE     18618     2BFA6
                 TTSM III   XNZVC
PC=   2758C  SR %0000000000011001  USP=18618  SSP=7FFF0
VBR=6BED6000  SFC=5  DFC=1  CACR=0  PCR=04300122  BUSCR=00000000
TC=8000  URP=6BEC9000  SRP=6BEC9000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0000001111011111 adkcon=$1100
intreq=%0000011110000000
vposr....A300  vhposr...02A8  joy0dat..0302  joy1dat..08F8  clxdat...8023  
pot0dat..036F  pot1dat..080A  potinp...5500  serdatr..3800  dskbytr..A000  
deniseid.00F8  hhposr...FF04  
   ciaa:     PI ROPS     ciab:     PI ROPS
 cra=00000000  ta=21FF<21FF    cra=00000001  ta= E69<19FF
     AII ROPS       AII ROPS
 crb=00001000  tb=37EE<37EE    crb=10000000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111100  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=00AEEA  icr=00  sdr=74    event=00013A  icr=00  sdr=00
************************* 11-fév-79  23:53:53 ************************16.9.4672***
Slave='Hostages.Slave' (1620 bytes)
ShadowMem 64C69DE0 - 64CE9DE0 ( 524288) AbsolutMem    80000 -    80000 (      0)
Resload   6BEC2000 - 6BECACFC (  36092) at 6BEC2000  GL=$6BECC000
Slave     6BEDE000 - 6BEDE630 (   1584) at 6BEDE000  BaseMemSize=$80000
ExpMem    6BE33000 - 6BE73000 ( 262144) at 6BE33000
attn=FF(60,82) fc=-1 kn=10422 cs=92B9 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS)
Exception "Address Error" ($200C) at $6BE67536 (ExpMem $34536) occured.
$6be67528 move.l       d1,(0,a0,d2.l)                 ;$0000b40c
$6be6752c movem.l      a0-a1/a5-a6,-(a7)              ;$00001264
$6be67530 move.l       d1,a1
$6be67532 move.l       (4).w,a6
$6be67536 jsr          (-$1ce,a6)                     ;$00000b1b
$6be6753a movem.l      (a7)+,a0-a1/a5-a6              ;$00001264
$6be6753e jmp          (a6)                           ;$00000ce9
$6be67540 asl.l        #2,d1
$6be67542 movem.l      a0-a1/a5-a6,-(a7)              ;$00001264
exception stackframe:
$0007FFF4 00006BE6 7536200C 00000B1A
regular stack:
$00001264 00000000 0000B424 6BE67134 6BE67128 6BE6746E 46696C65 20537973 74656D00
$00001284 00000000 0000021C 00002C69 00002A21 00000002 00000000 0000041D 000004A9
$000012A4 00000002 0000041D 00000007 00000000 0000041E 5B33B77F 00000000 00000000
$000012C4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$000012E4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx       28      1074      B40C      AF9C       200      1894         2       EDC
Ax        0      1074       A3C  6BE6F510  6BE67520  6BE67134       CE9
                 TTSM III   XNZVC
PC=6BE67536  SR %0000000000000000  USP=1264  SSP=7FFF4
VBR=6BECD000  SFC=5  DFC=5  CACR=0  PCR=04300122  BUSCR=00000000
TC=8000  URP=6BEDC000  SRP=6BEDC000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0000011111110000 adkcon=$1100
intreq=%0000011110000000
vposr....A300  vhposr...02A3  joy0dat..0202  joy1dat..0800  clxdat...8023  
pot0dat..036F  pot1dat..080A  potinp...5500  serdatr..3800  dskbytr..A000  
deniseid.00F8  hhposr...FFE2  
   ciaa:     PI ROPS     ciab:     PI ROPS
 cra=00000000  ta=21FF<21FF    cra=00000001  ta= 7D0<19FF
     AII ROPS       AII ROPS
 crb=00001000  tb=37EE<37EE    crb=10000000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111100  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=004AF0  icr=00  sdr=76    event=00013B  icr=01  sdr=00
TagsNo tags attached.
MachineA1200
CPU68060 + PPC
CPUSpeed50
ChipSetAGA
GFXCardBlizzardVision PPC
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.9
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0008445

CFOU (developer)

must be fixed

note ~0008487

CFOU (developer)

normally fixed with v1.2 soon released

last test with MMU

note ~0008496

CFOU (developer)

second crash casued because
with kick13 game can not run with only 512ko chip

=>second part crash because there are not enouth free memory
+Notes

-Issue History
Date Modified Username Field Change
2010-08-14 14:01 administrator New Issue
2010-08-14 14:01 administrator Status new => assigned
2010-08-14 14:01 administrator Assigned To => CFOU
2020-04-24 23:49 CFOU Note Added: 0008445
2020-04-27 21:57 CFOU Status assigned => closed
2020-04-27 21:57 CFOU Resolution open => fixed
2020-04-27 21:57 CFOU Note Added: 0008487
2020-04-27 23:44 CFOU Note Added: 0008496
+Issue History